<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb        = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin      = $_SESSION["admin_" . $dbname];
$success    = false;

$file       = "supplier.php";

$keyfld     = "vouchno";
$rangeFrom  = $_REQUEST["rangeFrom"];
$rangeTo    = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$searchTerm = $_REQUEST["ssearch"];
$operator   = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`billno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`billamt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`tdsamt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND a.`paidamt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND a.`balamt` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`billno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`billamt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`tdsamt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND a.`paidamt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND a.`balamt` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY a.`vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`vouchno`";
    } else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchdt`";
    } else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY b.`name`";
    } else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY a.`billno`";
    } else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`billamt`";
    }else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY a.`tdsamt`";
    }else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY a.`paidamt`";
    }else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY a.`balamt`";
    }

 $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }


$query = "SELECT a.vouchno, a.vouchdt, a.party, a.billno, a.billamt, a.tdsamt, a.paidamt, a.balamt, b.name FROM  tds a,  `accmast` b
          WHERE a.party = b.accode $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success'   => true,
                'value'     => $ctr,
                'keyfld'    => $keyfld,
                'vouchno'    => $r['vouchno'],
                'vouchdt'    => $r['vouchdt'],
                'billno'    => $r["billno"],
                'name'      => $r["name"],
                'billamt'      => $r["billamt"],
                'tdsamt'      => $r["tdsamt"],
                'paidamt'      => $r["paidamt"],
                'balamt'    => $r["balamt"],
                'action'    => "$file?mode=edit&vouchno=$r[$keyfld]",
        ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
